Package groovy.util

# Class ObservableMap.PropertyAddedEvent

java.lang.Object
java.util.EventObject
java.beans.PropertyChangeEvent
groovy.util.ObservableMap.PropertyEvent
groovy.util.ObservableMap.PropertyAddedEvent

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  `ObservableMap`

public static class ObservableMap.PropertyAddedEvent extends ObservableMap.PropertyEvent

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`PropertyAddedEvent(Object source, String propertyName, Object newValue)`

## Method Summary

### Methods inherited from class groovy.util.ObservableMap.PropertyEvent

`getChangeType, getType, getTypeAsString`

### Methods inherited from class java.beans.PropertyChangeEvent

`getNewValue, getOldValue, getPropagationId, getPropertyName, setPropagationId, toString`

### Methods inherited from class java.util.EventObject

`getSource`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PropertyAddedEvent

public PropertyAddedEvent(Object source, String propertyName, Object newValue)